Package com.orchestranetworks.ui

# Class UIHttpManagerComponent.DataSetFeatures

java.lang.Object
com.orchestranetworks.ui.UIHttpManagerComponent.DataSetFeatures

Enclosing class:
  UIHttpManagerComponent

public static final class UIHttpManagerComponent.DataSetFeatures extends Object
Constants for features available in dataset.

Since:
  5.4.0
See Also:
  - `UIHttpManagerComponent.showAllDataSetFeatures()`
  - `UIHttpManagerComponent.showDataSetFeature(String)`
  - `UIHttpManagerComponent.showDataSetFeatures(List)`
  - `UIHttpManagerComponent.hideAllDataSetFeatures()`
  - `UIHttpManagerComponent.hideDataSetFeature(String)`
  - `UIHttpManagerComponent.hideDataSetFeatures(List)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BREADCRUMB`
  Deprecated.
  This constant is no longer used.
  `static final String`
  `REVERT`
  Form's "Revert" button.
  `static final String`
  `SAVE`
  Form's "Save" button.
  `static final String`
  `SERVICES`
  "Actions" and "Services" menu buttons.
  `static final String`
  `TITLE`
  Workspace title bar.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSetFeatures()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVICES

    public static final String SERVICES
    "Actions" and "Services" menu buttons.

    Value is `services`.

  - ### TITLE

    public static final String TITLE
    Workspace title bar. Note that the "help" button button are part of the title bar.

    Value is `title`.

  - ### SAVE

    public static final String SAVE
    Form's "Save" button.

    Value is `save`.

  - ### REVERT

    public static final String REVERT
    Form's "Revert" button.

    Value is `revert`.

  - ### BREADCRUMB

    @Deprecated public static final String BREADCRUMB
    Deprecated.
    This constant is no longer used.
    Navigation bread crumb.

    Value is `breadcrumb`.

    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataSetFeatures

    public DataSetFeatures()